devel/py-flit - The NetBSD Packages Collection

Python and PyPI packaging tool

Flit is a simple way to put Python packages and modules on PyPI.

It tries to require less thought about packaging and help you avoid
common mistakes.

Build dependencies

pkgtools/cwrappers devel/py-flit_core devel/py-pep517 devel/py-pip

Runtime dependencies

textproc/py-docutils devel/py-flit_core textproc/py-pytoml devel/py-requests lang/python39 lang/python39

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 8.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 8.0i386py36-flit-3.0.0.tgz
NetBSD 8.0i386py37-flit-3.0.0.tgz
NetBSD 8.0i386py38-flit-3.0.0.tgz
NetBSD 8.0i386py39-flit-3.0.0.tgz
NetBSD 8.0i386py36-flit-3.0.0.tgz
NetBSD 8.0i386py37-flit-3.0.0.tgz
NetBSD 8.0i386py38-flit-3.0.0.tgz
NetBSD 8.0i386py39-flit-3.0.0.tgz
NetBSD 8.0powerpcpy36-flit-3.0.0.tgz
NetBSD 8.0powerpcpy37-flit-3.0.0.tgz
NetBSD 8.0powerpcpy38-flit-3.0.0.tgz
NetBSD 8.0powerpcpy39-flit-3.0.0.tgz
NetBSD 8.0powerpcpy36-flit-3.0.0.tgz
NetBSD 8.0powerpcpy37-flit-3.0.0.tgz
NetBSD 8.0powerpcpy38-flit-3.0.0.tgz
NetBSD 8.0powerpcpy39-flit-3.0.0.tgz
NetBSD 8.0powerpcpy36-flit-3.0.0.tgz
NetBSD 8.0powerpcpy37-flit-3.0.0.tgz
NetBSD 8.0powerpcpy38-flit-3.0.0.tgz
NetBSD 8.0powerpcpy39-flit-3.0.0.tgz
NetBSD 8.0powerpcpy36-flit-3.0.0.tgz
NetBSD 8.0powerpcpy37-flit-3.0.0.tgz
NetBSD 8.0powerpcpy38-flit-3.0.0.tgz
NetBSD 8.0powerpcpy39-flit-3.0.0.tgz
NetBSD 8.0x86_64py36-flit-3.0.0.tgz
NetBSD 8.0x86_64py37-flit-3.0.0.tgz
NetBSD 8.0x86_64py38-flit-3.0.0.tgz
NetBSD 8.0x86_64py39-flit-3.0.0.tgz
NetBSD 8.0x86_64py36-flit-3.0.0.tgz
NetBSD 8.0x86_64py37-flit-3.0.0.tgz
NetBSD 8.0x86_64py38-flit-3.0.0.tgz
NetBSD 8.0x86_64py39-flit-3.0.0.tgz
NetBSD 9.0aarch64py36-flit-3.0.0.tgz
NetBSD 9.0aarch64py37-flit-3.0.0.tgz
NetBSD 9.0aarch64py38-flit-3.0.0.tgz
NetBSD 9.0aarch64py39-flit-3.0.0.tgz
NetBSD 9.0aarch64py36-flit-3.0.0.tgz
NetBSD 9.0aarch64py37-flit-3.0.0.tgz
NetBSD 9.0aarch64py38-flit-3.0.0.tgz
NetBSD 9.0aarch64py39-flit-3.0.0.tgz
NetBSD 9.0aarch64py36-flit-3.0.0.tgz
NetBSD 9.0aarch64py37-flit-3.0.0.tgz
NetBSD 9.0aarch64py38-flit-3.0.0.tgz
NetBSD 9.0aarch64py39-flit-3.0.0.tgz
NetBSD 9.0alphapy36-flit-3.0.0.tgz
NetBSD 9.0alphapy37-flit-3.0.0.tgz
NetBSD 9.0alphapy38-flit-3.0.0.tgz
NetBSD 9.0alphapy39-flit-3.0.0.tgz
NetBSD 9.0alphapy36-flit-3.0.0.tgz
NetBSD 9.0alphapy37-flit-3.0.0.tgz
NetBSD 9.0alphapy38-flit-3.0.0.tgz
NetBSD 9.0alphapy39-flit-3.0.0.tgz
NetBSD 9.0alphapy36-flit-3.0.0.tgz
NetBSD 9.0alphapy37-flit-3.0.0.tgz
NetBSD 9.0alphapy38-flit-3.0.0.tgz
NetBSD 9.0alphapy39-flit-3.0.0.tgz
NetBSD 9.0earmpy36-flit-3.0.0.tgz
NetBSD 9.0earmpy37-flit-3.0.0.tgz
NetBSD 9.0earmpy38-flit-3.0.0.tgz
NetBSD 9.0earmpy39-flit-3.0.0.tgz
NetBSD 9.0earmpy36-flit-3.0.0.tgz
NetBSD 9.0earmpy37-flit-3.0.0.tgz
NetBSD 9.0earmpy38-flit-3.0.0.tgz
NetBSD 9.0earmpy39-flit-3.0.0.tgz
NetBSD 9.0earmpy36-flit-3.0.0.tgz
NetBSD 9.0earmpy37-flit-3.0.0.tgz
NetBSD 9.0earmpy38-flit-3.0.0.tgz
NetBSD 9.0earmpy39-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv6hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy36-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy37-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy38-flit-3.0.0.tgz
NetBSD 9.0earmv7hfpy39-flit-3.0.0.tgz
NetBSD 9.0i386py36-flit-3.0.0.tgz
NetBSD 9.0i386py37-flit-3.0.0.tgz
NetBSD 9.0i386py38-flit-3.0.0.tgz
NetBSD 9.0i386py39-flit-3.0.0.tgz
NetBSD 9.0i386py36-flit-3.0.0.tgz
NetBSD 9.0i386py37-flit-3.0.0.tgz
NetBSD 9.0i386py38-flit-3.0.0.tgz
NetBSD 9.0i386py39-flit-3.0.0.tgz
NetBSD 9.0i386py36-flit-3.0.0.tgz
NetBSD 9.0i386py37-flit-3.0.0.tgz
NetBSD 9.0i386py38-flit-3.0.0.tgz
NetBSD 9.0i386py39-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy36-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy37-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy38-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy39-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy36-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy37-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy38-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy39-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy36-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy37-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy38-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy39-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy36-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy37-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy38-flit-3.0.0.tgz
NetBSD 9.0mips64ebpy39-flit-3.0.0.tgz
NetBSD 9.0powerpcpy36-flit-3.0.0.tgz
NetBSD 9.0powerpcpy37-flit-3.0.0.tgz
NetBSD 9.0powerpcpy38-flit-3.0.0.tgz
NetBSD 9.0powerpcpy39-flit-3.0.0.tgz
NetBSD 9.0powerpcpy36-flit-3.0.0.tgz
NetBSD 9.0powerpcpy37-flit-3.0.0.tgz
NetBSD 9.0powerpcpy38-flit-3.0.0.tgz
NetBSD 9.0powerpcpy39-flit-3.0.0.tgz
NetBSD 9.0powerpcpy36-flit-3.0.0.tgz
NetBSD 9.0powerpcpy37-flit-3.0.0.tgz
NetBSD 9.0powerpcpy38-flit-3.0.0.tgz
NetBSD 9.0powerpcpy39-flit-3.0.0.tgz
NetBSD 9.0powerpcpy36-flit-3.0.0.tgz
NetBSD 9.0powerpcpy37-flit-3.0.0.tgz
NetBSD 9.0powerpcpy38-flit-3.0.0.tgz
NetBSD 9.0powerpcpy39-flit-3.0.0.tgz
NetBSD 9.0sparc64py36-flit-3.0.0.tgz
NetBSD 9.0sparc64py37-flit-3.0.0.tgz
NetBSD 9.0sparc64py38-flit-3.0.0.tgz
NetBSD 9.0sparc64py39-flit-3.0.0.tgz
NetBSD 9.0sparc64py36-flit-3.0.0.tgz
NetBSD 9.0sparc64py37-flit-3.0.0.tgz
NetBSD 9.0sparc64py38-flit-3.0.0.tgz
NetBSD 9.0sparc64py39-flit-3.0.0.tgz
NetBSD 9.0sparc64py36-flit-3.0.0.tgz
NetBSD 9.0sparc64py37-flit-3.0.0.tgz
NetBSD 9.0sparc64py38-flit-3.0.0.tgz
NetBSD 9.0sparc64py39-flit-3.0.0.tgz
NetBSD 9.0sparcpy36-flit-3.0.0.tgz
NetBSD 9.0sparcpy37-flit-3.0.0.tgz
NetBSD 9.0sparcpy38-flit-3.0.0.tgz
NetBSD 9.0sparcpy39-flit-3.0.0.tgz
NetBSD 9.0sparcpy36-flit-3.0.0.tgz
NetBSD 9.0sparcpy37-flit-3.0.0.tgz
NetBSD 9.0sparcpy39-flit-3.0.0.tgz
NetBSD 9.0sparcpy36-flit-3.0.0.tgz
NetBSD 9.0sparcpy37-flit-3.0.0.tgz
NetBSD 9.0sparcpy39-flit-3.0.0.tgz
NetBSD 9.0sparcpy36-flit-3.0.0.tgz
NetBSD 9.0sparcpy37-flit-3.0.0.tgz
NetBSD 9.0sparcpy38-flit-3.0.0.tgz
NetBSD 9.0sparcpy39-flit-3.0.0.tgz
NetBSD 9.0x86_64py36-flit-3.0.0.tgz
NetBSD 9.0x86_64py37-flit-3.0.0.tgz
NetBSD 9.0x86_64py38-flit-3.0.0.tgz
NetBSD 9.0x86_64py39-flit-3.0.0.tgz
NetBSD 9.0x86_64py36-flit-3.0.0.tgz
NetBSD 9.0x86_64py37-flit-3.0.0.tgz
NetBSD 9.0x86_64py38-flit-3.0.0.tgz
NetBSD 9.0x86_64py39-flit-3.0.0.tgz
NetBSD 9.0x86_64py36-flit-3.0.0.tgz
NetBSD 9.0x86_64py37-flit-3.0.0.tgz
NetBSD 9.0x86_64py38-flit-3.0.0.tgz
NetBSD 9.0x86_64py39-flit-3.0.0.tgz
NetBSD 9.0x86_64py36-flit-3.0.0.tgz
NetBSD 9.0x86_64py37-flit-3.0.0.tgz
NetBSD 9.0x86_64py38-flit-3.0.0.tgz
NetBSD 9.0x86_64py39-flit-3.0.0.tgz
NetBSD 9.0x86_64py36-flit-3.0.0.tgz
NetBSD 9.0x86_64py37-flit-3.0.0.tgz
NetBSD 9.0x86_64py38-flit-3.0.0.tgz
NetBSD 9.0x86_64py39-flit-3.0.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.